Bug 1809257 - Un-usrmerged files in kbd
Summary: Un-usrmerged files in kbd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1925696
TreeView+ depends on / blocked
 
Reported: 2020-03-02 17:52 UTC by Andrew Jorgensen
Modified: 2021-02-05 22:18 UTC (History)
1 user (show)

Fixed In Version: kbd-2.2.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-05 13:12:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew Jorgensen 2020-03-02 17:52:27 UTC
Description of problem:
Files are in /lib and /bin even though these paths are symlinks now.
This makes it so that it's hard to map between files on the system and files registered in the rpmdb.

Version-Release number of selected component (if applicable):
kbd-misc-2.0.4-13.fc30.noarch

Steps to Reproduce:
# rpm -qlf /usr/lib/kbd/unimaps/README | grep -F unimaps/README
/lib/kbd/unimaps/README

Actual results:
rpmdb disagrees with filesystem

Expected results:
rpmdb and filesystem should agree.


Additional info:

Comment 1 Vitezslav Crhonek 2020-03-04 09:57:03 UTC
Thanks for bug report.

kbd package also moves few binaries to /bin, which is no longer needed. I'll fix that too.


Note You need to log in before you can comment on or make changes to this bug.